#!/bin/bash

set +e

cd /usr/src/ubuntu-precise

MAKE_PARAM="-j18"

TOOLCHAIN_PARAM="ARCH=arm CROSS_COMPILE=arm-linux-gnueabihf-"

date_str=`date +"%Y%m%d%H%M%S"`


cp .config /boot/config-${date_str}

git clean -dfx

make ${TOOLCHAIN_PARAM}  mrproper

cp /boot/config-${date_str} ./.config

make ${TOOLCHAIN_PARAM} ${MAKE_PARAM} oldconfig

make ${TOOLCHAIN_PARAM} ${MAKE_PARAM} uImage| tee /tmp/uImage.log;
make ${TOOLCHAIN_PARAM} ${MAKE_PARAM} modules| tee /tmp/modules.log;

KERNEL_RELEASE=`make ${TOOLCHAIN_PARAM} kernelrelease`

rm -fr /lib/modules/${KERNEL_RELEASE}

make ${TOOLCHAIN_PARAM} modules_install firmware_install MOD_INSTALL_STRIP=1 | tee /tmp/install.log;

set -e

